
Foreman - Refactor #23808

Use monotonic timer to measure durations

06/05/2018 07:07 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Rails   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5647

  

Description

Remember: wall clock is for telling time, monotonic clock is for measuring time. ⏰

https://blog.dnsimple.com/2018/03/elapsed-time-with-ruby-the-right-way/

Associated revisions

Revision c30fd6f2 - 07/01/2018 05:42 PM - Lukas Zapletal

Fixes #23808 - monotonic timer to measure durations

History

#1 - 06/05/2018 07:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5647 added

#2 - 07/01/2018 05:43 PM - Tomer Brisker

- translation missing: en.field_release set to 353

- Triaged set to No

#3 - 07/01/2018 06:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c30fd6f2cd8c22815e95c02b2d064d8ad1f45200.
